
with Ada.Text_IO;

with Temperatures_Service.Client;
with Temperatures_Service.Types;

procedure SOAP_Client is
   use Ada;
   use Temperatures_Service;
   C : constant Types.Celsius_Type := 20.0;
   F : constant Types.Fahrenheit_Type := Client.To_Fahrenheit (C);
   package C_IO is new Text_IO.Float_IO (Types.Celsius_Type);
   package F_IO is new Text_IO.Float_IO (Types.Fahrenheit_Type);
begin
   Text_IO.Put ("Celsius    "); C_IO.Put (C, Aft => 1, Exp => 0);
   Text_IO.New_Line;
   Text_IO.Put ("Fahrenheit "); F_IO.Put (F, Aft => 1, Exp => 0);
   Text_IO.New_Line;
end SOAP_Client;
